@echo off

echo Please select an option:
echo 1. Start As 32-bit Precision - 7.5 GB VRAM - Suggested
echo 2. Start As 16-bit Precision - 4 GB VRAM
echo 3. Start As 4-bit Precision - 2 GB VRAM
echo 4. Start As 8-bit Precision - 2.7 GB VRAM - Slow


echo.

set /p choice="Enter your choice (1-4): "

echo Please select an option:
echo 1. Start Without Gradio Share
echo 2. Start With Gradio Share
echo.

set /p choice2="Enter your choice (1-2): "

call .\venv\Scripts\activate.bat

set PYTHONWARNINGS=ignore

if %choice% == 3 (
    set quant="--bit4"
)

if %choice% == 4 (
    set quant="--bit8"
)

if %choice% == 2 (
    set quant="--bit16"
)

if %choice% == 1 (
    set quant=
)

if /I "%choice2%" == "2" (
    python web_app.py %quant% --share
) else (
    python web_app.py %quant%
)

pause
